using OF_DL.Enumerations;
using Serilog.Core;

namespace OF_DL.Services;

public interface ILoggingService
{
    LoggingLevelSwitch LevelSwitch { get; }
    void UpdateLoggingLevel(LoggingLevel newLevel);
    LoggingLevel GetCurrentLoggingLevel();
}
